package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 链接方式 (0.普通，1.弹出，2.脚本)枚举类
*
* @author zxfei
*/
public enum LinkTypeEnum {
    普通(0, "普通"),
    弹出(1, "弹出"),
    脚本(2, "脚本");
    private Integer value;
    private String desc;

    LinkTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static LinkTypeEnum getByValue(Integer value) {
        for (LinkTypeEnum linkTypeEnum : LinkTypeEnum.values()) {
            if (linkTypeEnum.getValue() == value) {
                return linkTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (LinkTypeEnum item : LinkTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}